FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000224FL5[All Projects] y. Generalpublic2013-12-02 23:212014-02-03 16:50
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PriorityhighSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV2R10
Product Version0.08 
Target Version5.0Fixed in Version5.0 
Summary0000224: Support of zEDC on z/OS + USS
DescriptionTo reduce the CPU usage for compression the support of the zEDC coprozessor is required.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000167)
Falk Reichbott (administrator)
2013-12-02 23:22

For FL5 we must simply link with IBM-zLib. For FLAM4 we must expand the ADC algorithm to Support the RFC1951/52.
(0000186)
Falk Reichbott (administrator)
2013-12-18 07:38

To support deflate and inflate as part of the ADC mode in FLAM4 a new environment variable are required to enforce the use of the Software optimised algorithmen of limes or the GZIP (required for zEDC harware) compression.

FL_ADC_ALGORITHM=AUTO # Default will choose automatically the best algorithm
FL_ADC_ALGORITHM=GZIP # Always use GZIP (also if no hw accelorator available)
FL_ADC_ALGORITHM=LIMES # Always use software optimised compression (also if zEDC available)

To be backward compatible the envar must be set to LIMES. AUTO will allways be the default if not GZIP or LIMESW set.

- Issue History
Date Modified Username Field Change
2013-12-02 23:21 Falk Reichbott New Issue
2013-12-02 23:21 Falk Reichbott Status new => assigned
2013-12-02 23:21 Falk Reichbott Assigned To => Falk Reichbott
2013-12-02 23:22 Falk Reichbott Note Added: 0000167
2013-12-18 07:38 Falk Reichbott Note Added: 0000186
2014-01-21 14:46 Mykhailo Moldavskyy Assigned To Falk Reichbott => Mykhailo Moldavskyy
2014-02-03 16:50 Mykhailo Moldavskyy Status assigned => closed
2014-02-03 16:50 Mykhailo Moldavskyy Resolution open => fixed
2014-02-03 16:50 Mykhailo Moldavskyy Fixed in Version => 5.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker